'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Buttons = require('./Buttons');

var _Buttons2 = _interopRequireDefault(_Buttons);

var _styles = require('./styles.css');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ApprovalItem = function ApprovalItem(_ref) {
	var data = _ref.data;
	var clickRemove = _ref.clickRemove;

	// const photoUrl = `/employees/${data.id}/photo`
	var photoUrl = 'http://localhost:3000/employees/B12B59BF-594C-4ECC-8A5C-EEE386851D11/photo';

	return _react2.default.createElement(
		'div',
		{ className: _styles2.default.item },
		_react2.default.createElement('div', { className: 'approvalRoute__controls line__unit' }),
		_react2.default.createElement(
			'div',
			{ className: _styles2.default.itemData },
			_react2.default.createElement(
				'div',
				{ className: _styles2.default.photo },
				_react2.default.createElement('img', { src: photoUrl, alt: data.name })
			),
			_react2.default.createElement(
				'div',
				{ className: _styles2.default.infoWrapper },
				_react2.default.createElement(
					'div',
					{ className: _styles2.default.name },
					data.name
				),
				data.position ? _react2.default.createElement(
					'div',
					{ className: _styles2.default.position },
					data.position.name
				) : null,
				data.department ? _react2.default.createElement(
					'div',
					{ className: _styles2.default.company },
					data.department.name
				) : null
			)
		),
		_react2.default.createElement(_Buttons2.default, { onClick: clickRemove })
	);
};

exports.default = ApprovalItem;