import React from 'react'
import RemoveBtn from './Buttons'

import css from './styles.css'

const ApprovalItem = ({data, clickRemove}) => {
	// const photoUrl = `/employees/${data.id}/photo`
	const photoUrl = 'http://localhost:3000/employees/B12B59BF-594C-4ECC-8A5C-EEE386851D11/photo'

	return (
		<div className={css.item}>
			<div className='approvalRoute__controls line__unit'>
			</div>
			<div className={css.itemData}>
				<div className={css.photo}>
					<img src={photoUrl} alt={data.name} />
				</div>
				<div className={css.infoWrapper}>
					<div className={css.name}>
						{data.name}
					</div>
					{data.position ? <div className={css.position}>{data.position.name}</div> : null}
					{data.department ? <div className={css.company}>{data.department.name}</div> : null}
				</div>
			</div>
			<RemoveBtn onClick={clickRemove}/>
		</div>
	);
}

export default ApprovalItem
